Subject: [bug#48721] [PATCH v2] gnu: gcc-8: Make static libs reproducible

From: Carl Dong <[email-masked]>
Date: Fri, 11 Jun 2021 22:17:16 +0000

Ah I see… In that case I think perhaps the patch is good.

Would it be okay to push just the gcc-8 patch and leave the rest (gcc <= v7) to be patch on an as-needed basis?

Cheers,
Carl Dong
[email-masked]

> On Jun 11, 2021, at 2:07 PM, Ludovic Courtès <[email-masked]> wrote:
> 
> Hi,
> 
> Carl Dong <[email-masked]> skribis:
> 
>>> Oh.  (I suppose GCC doesn’t have a single ‘ltmain.sh’ that we could
>>> patch instead of all these ‘configure’ scripts, right?)
>> Hmmm, are you suggesting that we just patch the libtool.m4 and ltmain.sh, and then autoreconf -vfi for the GCC packages?
> 
> No, running ‘autoreconf’ would complicate things.
> 
> But if it happens that the same effect could be achieved by modifying a
> single ‘ltmain.sh’ file, as was done in
> b6094b1f0a6760b9f5296364cf5edb8a2e64953c, that’s better than modifying
> all the ‘configure’ scripts.
> 
> Maybe it’s not possible though, in which case the patch you posted is
> perfect.
> 
> Thanks,
> Ludo’.
> 
> 
>